Subject: bug#13588: Pax hangs in case big UID

From: Stefano Lattarini <[email-masked]>
Date: Mon, 22 Apr 2013 15:55:46 +0200

Hi Peter, thanks for the feedback.

On 04/22/2013 03:21 PM, Petr Hracek wrote:
> Hello Stefano,
> 
> thanks for the patch. All is working properly.
> User is informed that UID is not enough smaller and configure script does not failed.
>
Good to know the logic is sound.  However, I now notice that there
is still a problem with the output of configure :-/  (details below).

> Result is below:
> test@localhost: ~/mycproject$ id
> uid=17000000(test) gid=1001(test) groups=1001(test) context=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023
> test@localhost: ~/mycproject$ ./configure
> checking for a BSD-compatible install... /usr/bin/install -c
> checking whether build environment is sane... yes
> checking for a thread-safe mkdir -p... /usr/bin/mkdir -p
> checking for gawk... gawk
> checking whether make sets $(MAKE)... yes
> checking how to create a ustar tar archive... checking whether UID '17000000' is small enough for ustar... no
> none
>
Oops, there are two messages are crossing.  This is bad.
I think the best solution at this point is simply to report the too-high UID
only in the generated config.log rather than in the console output.  Updated
patch coming up soonish (I hope)...

Thanks,
   Stefano